Upstream information

CVE-2014-5351 at MITRE

Description

The kadm5_randkey_principal_3 function in lib/kadm5/srv/svr_principal.c in kadmind in MIT Kerberos 5 (aka krb5) before 1.13 sends old keys in a response to a -randkey -keepold request, which allows remote authenticated users to forge tickets by leveraging administrative access.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 2.1
Vector AV:N/AC:H/Au:S/C:P/I:N/A:N
Access Vector Network
Access Complexity High
Authentication Single
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 897874 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Build System Kit 12
  • krb5-mini >= 1.12.1-9.1
  • krb5-mini-devel >= 1.12.1-9.1
Patchnames:
SUSE-SLE-BSK-12-2015-74
SUSE Linux Enterprise Desktop 11 SP3
  • krb5 >= 1.6.3-133.49.64.1
  • krb5-32bit >= 1.6.3-133.49.64.1
  • krb5-client >= 1.6.3-133.49.64.1
Patchnames:
sledsp3-krb5-201410
SUSE Linux Enterprise Desktop 12
  • krb5 >= 1.12.1-9.1
  • krb5-32bit >= 1.12.1-9.1
  • krb5-client >= 1.12.1-9.1
Patchnames:
SUSE Linux Enterprise Desktop 12 GA krb5
SUSE-SLE-DESKTOP-12-2015-74
SUSE Linux Enterprise Desktop 12 SP1
  • krb5 >= 1.12.1-19.1
  • krb5-32bit >= 1.12.1-19.1
  • krb5-client >= 1.12.1-19.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA krb5
SUSE Linux Enterprise Desktop 12 SP2
  • krb5 >= 1.12.5-39.1
  • krb5-32bit >= 1.12.5-39.1
  • krb5-client >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA krb5
SUSE Linux Enterprise Desktop 12 SP3
  • krb5 >= 1.12.5-39.1
  • krb5-32bit >= 1.12.5-39.1
  • krb5-client >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA krb5
SUSE Linux Enterprise Module for Basesystem 15
  • krb5 >= 1.15.2-4.25
  • krb5-32bit >= 1.15.2-4.25
  • krb5-client >= 1.15.2-4.25
  • krb5-devel >= 1.15.2-4.25
  • krb5-plugin-preauth-otp >= 1.15.2-4.25
  • krb5-plugin-preauth-pkinit >= 1.15.2-4.25
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA krb5
SUSE Linux Enterprise Module for Server Applications 15
  • krb5-plugin-kdb-ldap >= 1.15.2-4.25
  • krb5-server >= 1.15.2-4.25
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA krb5-plugin-kdb-ldap
SUSE Linux Enterprise Server 11 SP3
  • krb5 >= 1.6.3-133.49.64.1
  • krb5-32bit >= 1.6.3-133.49.64.1
  • krb5-apps-clients >= 1.6.3-133.49.64.1
  • krb5-apps-servers >= 1.6.3-133.49.64.1
  • krb5-client >= 1.6.3-133.49.64.1
  • krb5-doc >= 1.6.3-133.49.64.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.64.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.64.1
  • krb5-server >= 1.6.3-133.49.64.1
  • krb5-x86 >= 1.6.3-133.49.64.1
Patchnames:
slessp3-krb5-201410
SUSE Linux Enterprise Server 11 SP4
  • krb5 >= 1.6.3-133.49.66.1
  • krb5-32bit >= 1.6.3-133.49.66.1
  • krb5-apps-clients >= 1.6.3-133.49.66.1
  • krb5-apps-servers >= 1.6.3-133.49.66.1
  • krb5-client >= 1.6.3-133.49.66.1
  • krb5-server >= 1.6.3-133.49.66.1
  • krb5-x86 >= 1.6.3-133.49.66.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA krb5
SUSE Linux Enterprise Server 12
  • krb5 >= 1.12.1-9.1
  • krb5-32bit >= 1.12.1-9.1
  • krb5-client >= 1.12.1-9.1
  • krb5-doc >= 1.12.1-9.1
  • krb5-plugin-kdb-ldap >= 1.12.1-9.1
  • krb5-plugin-preauth-otp >= 1.12.1-9.1
  • krb5-plugin-preauth-pkinit >= 1.12.1-9.1
  • krb5-server >= 1.12.1-9.1
Patchnames:
SUSE Linux Enterprise Server 12 GA krb5
SUSE-SLE-SERVER-12-2015-74
SUSE Linux Enterprise Server 12 SP1
  • krb5 >= 1.12.1-19.1
  • krb5-32bit >= 1.12.1-19.1
  • krb5-client >= 1.12.1-19.1
  • krb5-doc >= 1.12.1-19.1
  • krb5-plugin-kdb-ldap >= 1.12.1-19.1
  • krb5-plugin-preauth-otp >= 1.12.1-19.1
  • krb5-plugin-preauth-pkinit >= 1.12.1-19.1
  • krb5-server >= 1.12.1-19.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA krb5
SUSE Linux Enterprise Server 12 SP2
  • krb5 >= 1.12.5-39.1
  • krb5-32bit >= 1.12.5-39.1
  • krb5-client >= 1.12.5-39.1
  • krb5-doc >= 1.12.5-39.1
  • krb5-plugin-kdb-ldap >= 1.12.5-39.1
  • krb5-plugin-preauth-otp >= 1.12.5-39.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-39.1
  • krb5-server >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA krb5
SUSE Linux Enterprise Server 12 SP3
  • krb5 >= 1.12.5-39.1
  • krb5-32bit >= 1.12.5-39.1
  • krb5-client >= 1.12.5-39.1
  • krb5-doc >= 1.12.5-39.1
  • krb5-plugin-kdb-ldap >= 1.12.5-39.1
  • krb5-plugin-preauth-otp >= 1.12.5-39.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-39.1
  • krb5-server >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA krb5
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • krb5 >= 1.12.5-39.1
  • krb5-client >= 1.12.5-39.1
  • krb5-doc >= 1.12.5-39.1
  • krb5-plugin-kdb-ldap >= 1.12.5-39.1
  • krb5-plugin-preauth-otp >= 1.12.5-39.1
  • krb5-plugin-preauth-pkinit >= 1.12.5-39.1
  • krb5-server >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA krb5
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • krb5 >= 1.6.3-133.49.64.1
  • krb5-32bit >= 1.6.3-133.49.64.1
  • krb5-apps-clients >= 1.6.3-133.49.64.1
  • krb5-apps-servers >= 1.6.3-133.49.64.1
  • krb5-client >= 1.6.3-133.49.64.1
  • krb5-doc >= 1.6.3-133.49.64.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.64.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.64.1
  • krb5-server >= 1.6.3-133.49.64.1
  • krb5-x86 >= 1.6.3-133.49.64.1
Patchnames:
slessp3-krb5-201410
SUSE Linux Enterprise Server for SAP Applications 12
  • krb5 >= 1.12.1-9.1
  • krb5-32bit >= 1.12.1-9.1
  • krb5-client >= 1.12.1-9.1
  • krb5-doc >= 1.12.1-9.1
  • krb5-plugin-kdb-ldap >= 1.12.1-9.1
  • krb5-plugin-preauth-otp >= 1.12.1-9.1
  • krb5-plugin-preauth-pkinit >= 1.12.1-9.1
  • krb5-server >= 1.12.1-9.1
Patchnames:
SUSE-SLE-SERVER-12-2015-74
SUSE Linux Enterprise Server for VMWare 11 SP3
  • krb5 >= 1.6.3-133.49.64.1
  • krb5-32bit >= 1.6.3-133.49.64.1
  • krb5-apps-clients >= 1.6.3-133.49.64.1
  • krb5-apps-servers >= 1.6.3-133.49.64.1
  • krb5-client >= 1.6.3-133.49.64.1
  • krb5-doc >= 1.6.3-133.49.64.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.64.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.64.1
  • krb5-server >= 1.6.3-133.49.64.1
  • krb5-x86 >= 1.6.3-133.49.64.1
Patchnames:
slessp3-krb5-201410
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.64.1
  • krb5-devel-32bit >= 1.6.3-133.49.64.1
  • krb5-server >= 1.6.3-133.49.64.1
Patchnames:
sdksp3-krb5-201410
SUSE Linux Enterprise Software Development Kit 11 SP4
  • krb5-devel >= 1.6.3-133.49.66.1
  • krb5-devel-32bit >= 1.6.3-133.49.66.1
  • krb5-server >= 1.6.3-133.49.66.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA krb5-devel
SUSE Linux Enterprise Software Development Kit 12
  • krb5 >= 1.12.1-9.1
  • krb5-devel >= 1.12.1-9.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA krb5-devel
SUSE-SLE-SDK-12-2015-74
SUSE Linux Enterprise Software Development Kit 12 SP1
  • krb5-devel >= 1.12.1-19.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA krb5-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • krb5-devel >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA krb5-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • krb5-devel >= 1.12.5-39.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA krb5-devel
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.64.1
  • krb5-server >= 1.6.3-133.49.64.1
Builds
SAT Patch Nr: 9827
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.64.1
Builds
SAT Patch Nr: 9827
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.64.1
  • krb5-devel-32bit >= 1.6.3-133.49.64.1
Builds
SAT Patch Nr: 9827
SUSE Linux Enterprise Software Development Kit 11 SP3
  • krb5-devel >= 1.6.3-133.49.64.1
  • krb5-devel-32bit >= 1.6.3-133.49.64.1
  • krb5-server >= 1.6.3-133.49.64.1
Builds
SAT Patch Nr: 9827
SUSE Linux Enterprise Desktop 11 SP3
  • krb5 >= 1.6.3-133.49.64.1
  • krb5-client >= 1.6.3-133.49.64.1
Builds
SAT Patch Nr: 9827
SUSE Linux Enterprise Desktop 11 SP3
  • krb5 >= 1.6.3-133.49.64.1
  • krb5-32bit >= 1.6.3-133.49.64.1
  • krb5-client >= 1.6.3-133.49.64.1
Builds
SAT Patch Nr: 9827
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • krb5 >= 1.6.3-133.49.64.1
  • krb5-apps-clients >= 1.6.3-133.49.64.1
  • krb5-apps-servers >= 1.6.3-133.49.64.1
  • krb5-client >= 1.6.3-133.49.64.1
  • krb5-doc >= 1.6.3-133.49.64.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.64.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.64.1
  • krb5-server >= 1.6.3-133.49.64.1
Builds
SAT Patch Nr: 9827
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • krb5 >= 1.6.3-133.49.64.1
  • krb5-32bit >= 1.6.3-133.49.64.1
  • krb5-apps-clients >= 1.6.3-133.49.64.1
  • krb5-apps-servers >= 1.6.3-133.49.64.1
  • krb5-client >= 1.6.3-133.49.64.1
  • krb5-doc >= 1.6.3-133.49.64.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.64.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.64.1
  • krb5-server >= 1.6.3-133.49.64.1
Builds
SAT Patch Nr: 9827
SUSE Linux Enterprise Server 11 SP3
  • krb5 >= 1.6.3-133.49.64.1
  • krb5-apps-clients >= 1.6.3-133.49.64.1
  • krb5-apps-servers >= 1.6.3-133.49.64.1
  • krb5-client >= 1.6.3-133.49.64.1
  • krb5-doc >= 1.6.3-133.49.64.1
  • krb5-plugin-kdb-ldap >= 1.6.3-133.49.64.1
  • krb5-plugin-preauth-pkinit >= 1.6.3-133.49.64.1
  • krb5-server >= 1.6.3-133.49.64.1
  • krb5-x86 >= 1.6.3-133.49.64.1
Builds
SAT Patch Nr: 9827
openSUSE Leap 15.0
  • krb5 >= 1.15.2-lp150.4.4
  • krb5-32bit >= 1.15.2-lp150.4.4
  • krb5-server >= 1.15.2-lp150.4.4
Patchnames:
openSUSE Leap 15.0 GA krb5
openSUSE Leap 42.1
  • krb5 >= 1.12.1-19.9
  • krb5-32bit >= 1.12.1-19.9
  • krb5-client >= 1.12.1-19.9
  • krb5-devel >= 1.12.1-19.9
Patchnames:
openSUSE Leap 42.1 GA krb5
openSUSE Leap 42.2
  • krb5 >= 1.12.5-5.13
  • krb5-32bit >= 1.12.5-5.13
  • krb5-client >= 1.12.5-5.13
  • krb5-devel >= 1.12.5-5.13
Patchnames:
openSUSE Leap 42.2 GA krb5
openSUSE Leap 42.3
  • krb5 >= 1.12.5-7.17
  • krb5-32bit >= 1.12.5-7.17
  • krb5-client >= 1.12.5-7.17
  • krb5-devel >= 1.12.5-7.17
Patchnames:
openSUSE Leap 42.3 GA krb5
openSUSE Tumbleweed
  • krb5 >= 1.15-1.1
  • krb5-32bit >= 1.15-1.1
  • krb5-client >= 1.15-1.1
  • krb5-devel >= 1.15-1.1
  • krb5-devel-32bit >= 1.15-1.1
  • krb5-doc >= 1.15-1.1
  • krb5-mini >= 1.15-1.1
  • krb5-mini-devel >= 1.15-1.1
  • krb5-plugin-kdb-ldap >= 1.15-1.1
  • krb5-plugin-preauth-otp >= 1.15-1.1
  • krb5-plugin-preauth-pkinit >= 1.15-1.1
  • krb5-server >= 1.15-1.1
Patchnames:
openSUSE Tumbleweed GA krb5


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 krb5 Released
SUSE Linux Enterprise Desktop 10 SP4 krb5 Released
SUSE Linux Enterprise Desktop 11 SP1 krb5 Released
SUSE Linux Enterprise Desktop 11 SP3 krb5 Released
SUSE Linux Enterprise Desktop 12 GA krb5 Released
SUSE Linux Enterprise SDK 11 SP1 krb5 Released
SUSE Linux Enterprise SDK 11 SP3 krb5 Released
SUSE Linux Enterprise SDK 12 GA krb5 Released
SUSE Linux Enterprise Server 10 SP3 krb5 Released
SUSE Linux Enterprise Server 10 SP4 krb5 Released
SUSE Linux Enterprise Server 10 SP4 LTSS krb5 Released
SUSE Linux Enterprise Server 11 SP1 krb5 Released
SUSE Linux Enterprise Server 11 SP1 LTSS krb5 Released
SUSE Linux Enterprise Server 11 SP3 krb5 Released
SUSE Linux Enterprise Server 12 GA krb5 Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 krb5 Released
SUSE Linux Enterprise Server for VMWare 11 SP3 krb5 Released